diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
index 995d8ad..dcf9cd6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
@@ -6,10 +6,11 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+import uuid
 
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from . import utils as schema_utils
@@ -23,44 +24,42 @@ class SchemaDeleteTestCase(BaseTestGenerator):
         ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server
-         2. Connect to server
-         3. Add the databases
-
-        :return: None
-        """
-
-        # Firstly, add the server
-        server_utils.add_server(cls.tester)
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-        # Add database
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schemas
-        schema_utils.add_schemas(cls.tester)
+    def setUp(self):
+        self.database_info = parent_node_dict["database"][-1]
+        self.db_name = self.database_info["db_name"]
+        # Change the db name, so that schema will create in newly created db
+        self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:6]
+        connection = utils.get_db_connection(self.db_name,
+                                             self.server['username'],
+                                             self.server['db_password'],
+                                             self.server['host'],
+                                             self.server['port'])
+        self.schema_details = schema_utils.create_schema(connection,
+                                                         self.schema_name)
 
     def runTest(self):
         """ This function will delete schema under database node. """
+        server_id = self.database_info["server_id"]
+        db_id = self.database_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 server_id, db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to delete the"
+                            " schema.")
 
-        schema_utils.delete_schema(self.tester)
-
-    @classmethod
-    def tearDownClass(cls):
-        """
-        This function deletes the added schemas, database, server
-        and the 'parent_id.pkl' file which is created in setup() function.
+        schema_id = self.schema_details[0]
+        schema_name = self.schema_details[1]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to delete.")
 
-        :return: None
-        """
+        response = self.tester.delete(self.url + str(utils.SERVER_GROUP)
+                                      + '/' + str(server_id) + '/' +
+                                      str(db_id) + '/' + str(schema_id),
+                                      follow_redirects=True)
+        self.assertEquals(response.status_code, 200)
 
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
\ No newline at end of file
+    def tearDown(self):
+        pass
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
index c70482b..668e025 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
@@ -6,77 +6,45 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
-
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from . import utils as schema_utils
 
 
 class SchemaGetTestCase(BaseTestGenerator):
     """ This class will add new schema under database node. """
-
     scenarios = [
         # Fetching default URL for extension node.
         ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server
-         2. Connect to server
-         3. Add the databases
-
-        :return: None
-        """
-
-        # Firstly, add the server
-        server_utils.add_server(cls.tester)
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-        # Add database
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schemas
-        schema_utils.add_schemas(cls.tester)
-
     def runTest(self):
         """ This function will delete schema under database node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        schema_ids_dict = all_id["scid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            db_con = database_utils.verify_database(self.tester,
-                                                    utils.SERVER_GROUP,
-                                                    server_id, db_id)
-            if db_con['data']["connected"]:
-                schema_id = schema_ids_dict[int(server_id)][0]
-                schema_response = schema_utils.verify_schemas(self.tester,
-                                                              server_id, db_id,
-                                                              schema_id)
-                self.assertTrue(schema_response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """
-        This function deletes the added schemas, database, server
-        and the 'parent_id.pkl' file which is created in setup() function.
-
-        :return: None
-        """
-
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        schema = parent_node_dict["schema"][-1]
+        db_id = schema["db_id"]
+        server_id = schema["server_id"]
+
+        server_response = server_utils.connect_server(self, server_id)
+        if not server_response["data"]["connected"]:
+            raise Exception("Could not connect to server to connect the"
+                            " database.")
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 server_id,
+                                                 db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database to get the schema.")
+
+        schema_id = schema["schema_id"]
+        schema_response = self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' + str(db_id) +
+            '/' + str(schema_id),
+            content_type='html/json')
+        self.assertEquals(schema_response.status_code, 200)
+        # Disconnect the database
+        database_utils.disconnect_database(self, server_id, db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
index d3d4bfd..4bcd8ea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
@@ -6,107 +6,133 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
-
 import json
+import uuid
 
 from regression import test_utils as utils
+from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from regression.test_setup import advanced_config_data
 from . import utils as schema_utils
 
 
 class SchemaPutTestCase(BaseTestGenerator):
     """ This class will update the schema under database node. """
-
     scenarios = [
         # Fetching default URL for extension node.
         ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-        This function perform the three tasks
-         1. Add the test server
-         2. Connect to server
-         3. Add the databases
-
-        :return: None
-        """
-
-        # Firstly, add the server
-        server_utils.add_server(cls.tester)
-        # Connect to server
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-        # Add database
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-        # Add schemas
-        schema_utils.add_schemas(cls.tester)
+    def setUp(self):
+        self.database_info = parent_node_dict["database"][-1]
+        self.db_name = self.database_info["db_name"]
+        # Change the db name, so that schema will create in newly created db
+        self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:6]
+        connection = utils.get_db_connection(self.db_name,
+                                             self.server['username'],
+                                             self.server['db_password'],
+                                             self.server['host'],
+                                             self.server['port'])
+        self.schema_details = schema_utils.create_schema(connection,
+                                                         self.schema_name)
 
     def runTest(self):
         """ This function will delete schema under database node. """
 
-        all_id = utils.get_ids()
-        db_ids_dict = all_id["did"][0]
-        schema_ids_dict = all_id["scid"][0]
-
-        for server_connect_data, server_id in zip(self.server_connect_response,
-                                             self.server_ids):
-            db_id = db_ids_dict[int(server_id)]
-            db_con = database_utils.verify_database(self.tester,
-                                                    utils.SERVER_GROUP,
-                                                    server_id, db_id)
-            if db_con['data']["connected"]:
-                schema_id = schema_ids_dict[int(server_id)][0]
-                schema_response = schema_utils.verify_schemas(self.tester,
-                                                              server_id, db_id,
-                                                              schema_id)
-                schema_response = json.loads(
-                    schema_response.data.decode('utf-8'))
-                if not schema_response:
-                    raise Exception("No schema(s) to update.")
-
-                adv_config_data = None
-                data = None
-                db_user = server_connect_data['data']['user']['name']
-                # Get the config data of appropriate db user
-                for config_test_data in advanced_config_data['schema_update_data']:
-                    if db_user == config_test_data['owner']:
-                        adv_config_data = config_test_data
-
-                if adv_config_data is not None:
-                    data = {
-                        "deffuncacl": adv_config_data["func_acl"],
-                        "defseqacl": adv_config_data["seq_acl"],
-                        "deftblacl": adv_config_data["tbl_acl"],
-                        "id": schema_id
-                    }
-                put_response = self.tester.put(
-                    self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) +
-                    '/' + str(db_id) + '/' + str(schema_id),
-                    data=json.dumps(data), follow_redirects=True)
-
-                self.assertEquals(put_response.status_code, 200)
-                response_data = json.loads(put_response.data.decode('utf-8'))
-                self.assertTrue(response_data['success'], 1)
-
-    @classmethod
-    def tearDownClass(cls):
-        """
-        This function deletes the added schemas, database, server
-        and the 'parent_id.pkl' file which is created in setup() function.
-
-        :return: None
-        """
-
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        server_id = self.database_info["server_id"]
+        db_id = self.database_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 server_id, db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to delete the"
+                            " schema.")
+        schema_id = self.schema_details[0]
+        schema_name = self.schema_details[1]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to update.")
+
+        db_user = self.server["username"]
+        data = {
+            "deffuncacl": {
+                "added":
+                    [
+                        {
+                            "grantee": db_user,
+                            "grantor": db_user,
+                            "privileges":
+                                [
+                                    {
+                                        "privilege_type": "X",
+                                        "privilege": True,
+                                        "with_grant": True
+                                    }
+                                ]
+                        }
+                    ]
+            },
+            "defseqacl": {
+                "added":
+                    [
+                        {
+                            "grantee": db_user,
+                            "grantor": db_user,
+                            "privileges":
+                                [
+                                    {
+                                        "privilege_type": "r",
+                                        "privilege": True,
+                                        "with_grant": False
+                                    },
+                                    {
+                                        "privilege_type": "w",
+                                        "privilege": True,
+                                        "with_grant": False
+                                    },
+                                    {
+                                        "privilege_type": "U",
+                                        "privilege": True,
+                                        "with_grant": False
+                                    }
+                                ]
+                        }
+                    ]
+            },
+            "deftblacl": {
+                "added":
+                    [
+                        {
+                            "grantee": "public",
+                            "grantor": db_user,
+                            "privileges":
+                                [
+                                    {
+                                        "privilege_type": "D",
+                                        "privilege": True,
+                                        "with_grant": False
+                                    },
+                                    {
+                                        "privilege_type": "x",
+                                        "privilege": True,
+                                        "with_grant": False
+                                    }
+                                ]
+                        }
+                    ]
+            },
+            "id": schema_id
+        }
+        put_response = self.tester.put(
+            self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) +
+            '/' + str(db_id) + '/' + str(schema_id),
+            data=json.dumps(data), follow_redirects=True)
+
+        self.assertEquals(put_response.status_code, 200)
+        # Disconnect the database
+        database_utils.disconnect_database(self, server_id, db_id)
+
+    def tearDown(self):
+        pass
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
index 4f91484..015520e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
@@ -6,144 +6,79 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
-
-import json
-import os
-import pickle
+from __future__ import print_function
+import sys
 import uuid
+import traceback
 
-from regression.test_setup import pickle_path, advanced_config_data
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
 from regression import test_utils as utils
 
-SCHEMA_URL = '/browser/schema/obj/'
-SCHEMA_DELETE_URL = '/browser/schema/delete/'
-
 
-def get_schema_config_data(server_connect_response):
+def get_schema_config_data(db_user):
     """This function is used to get advance config test data for schema"""
-
-    adv_config_data = None
-    data = None
-    db_user = server_connect_response['data']['user']['name']
-
-    # Get the config data of appropriate db user
-    for config_test_data in advanced_config_data['schema_credentials']:
-        if db_user == config_test_data['owner']:
-            adv_config_data = config_test_data
-
-    if adv_config_data is not None:
-        data = {
-            "deffuncacl": adv_config_data['func_acl'],
-            "defseqacl": adv_config_data['seq_acl'],
-            "deftblacl": adv_config_data['tbl_acl'],
-            "deftypeacl": adv_config_data['type_acl'],
-            "name": "schema_{0}".format(str(uuid.uuid4())[1:8]),
-            "namespaceowner": adv_config_data['owner'],
-            "nspacl": adv_config_data['privilege'],
-            "seclabels": adv_config_data['sec_label']
-        }
+    data = {
+        "deffuncacl": [],
+        "defseqacl": [],
+        "deftblacl": [],
+        "deftypeacl": [],
+        "name": "test_schema_{0}".format(str(uuid.uuid4())[1:8]),
+        "namespaceowner": db_user,
+        "nspacl": [
+                      {
+                        "grantee": db_user,
+                        "grantor": db_user,
+                        "privileges":
+                        [
+                          {
+                            "privilege_type": "C",
+                            "privilege": True,
+                            "with_grant": False
+                          },
+                          {
+                            "privilege_type": "U",
+                            "privilege": True,
+                            "with_grant": False
+                          }
+                        ]
+                      }
+                    ],
+        "seclabels": []
+    }
     return data
 
 
-def write_schema_id(response_data, server_id):
-    """
-    This function writes the schema id into parent_id.pkl
-
-    :param response_data: schema add response data
-    :type response_data: dict
-    :param server_id: server id
-    :type server_id: str
-    :return: None
-    """
-
-    schema_id = response_data['node']['_id']
-    schema_name = str(response_data['node']['label'])
-    pickle_id_dict = utils.get_pickle_id_dict()
-    if os.path.isfile(pickle_path):
-        existing_server_id = open(pickle_path, 'rb')
-        tol_server_id = pickle.load(existing_server_id)
-        pickle_id_dict = tol_server_id
-    if 'scid' in pickle_id_dict:
-        if pickle_id_dict['scid']:
-            # Add the schema_id as value in dict
-            pickle_id_dict["scid"][0].update(
-                {int(server_id): [schema_id, schema_name]})
-        else:
-            # Create new dict with server_id and schema_id
-            pickle_id_dict["scid"].append(
-                {int(server_id): [schema_id, schema_name]})
-    schema_output = open(pickle_path, 'wb')
-    pickle.dump(pickle_id_dict, schema_output)
-    schema_output.close()
-
-
-def add_schemas(tester):
+def create_schema(connection, schema_name):
     """This function add the schemas into databases"""
-
-    all_id = utils.get_ids()
-
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-
-    for server_id in server_ids:
-        server_connect_response = server_utils.verify_server(
-            tester, str(utils.SERVER_GROUP), server_id)
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            data = get_schema_config_data(
-                server_connect_response)
-            response = tester.post(
-                SCHEMA_URL + str(utils.SERVER_GROUP) + '/' +
-                str(server_id) + '/' + str(db_id) +
-                '/', data=json.dumps(data),
-                content_type='html/json')
-
-            assert response.status_code == 200
-            response_data = json.loads(response.data.decode('utf-8'))
-            write_schema_id(response_data, server_id)
-
-
-def verify_schemas(tester, server_id, db_id, schema_id):
+    try:
+        old_isolation_level = connection.isolation_level
+        connection.set_isolation_level(0)
+        pg_cursor = connection.cursor()
+        pg_cursor.execute("CREATE SCHEMA %s" % schema_name)
+        connection.set_isolation_level(old_isolation_level)
+        connection.commit()
+        # Get schema details of newly created schema
+        pg_cursor.execute("SELECT sch.oid, sch.nspname FROM pg_namespace sch"
+                          " WHERE sch.nspname='%s'" % schema_name)
+        schema = pg_cursor.fetchone()
+        connection.close()
+        return schema
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def verify_schemas(server, db_name, schema_name):
     """This function verifies the schema is exists"""
-
-    response = tester.get(SCHEMA_URL + str(utils.SERVER_GROUP) + '/' +
-                          str(server_id) + '/' + str(db_id) +
-                          '/' + str(schema_id),
-                          content_type='html/json')
-    return response
-
-
-def delete_schema(tester):
-    """This function delete schemas from the databases"""
-
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    schema_ids_dict = all_id["scid"][0]
-
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            schema_id = schema_ids_dict[int(server_id)][0]
-            schema_response = verify_schemas(tester, server_id, db_id,
-                                             schema_id)
-            schema_response = json.loads(schema_response.data.decode('utf-8'))
-            if not schema_response:
-                raise Exception("No schema(s) to delete.")
-
-            del_response = tester.delete(
-                SCHEMA_DELETE_URL + str(utils.SERVER_GROUP) + '/' +
-                str(server_id) + '/' +
-                str(db_id) + '/' +
-                str(schema_id),
-                follow_redirects=True)
-            assert del_response.status_code == 200
-            response_data = json.loads(del_response.data.decode('utf-8'))
-            assert response_data['success'] == 1
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'])
+        pg_cursor = connection.cursor()
+        pg_cursor.execute("SELECT * FROM pg_namespace sch"
+                          " WHERE sch.nspname='%s'" % schema_name)
+        schema = pg_cursor.fetchone()
+        connection.close()
+        return schema
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py
index 1d13c02..c766f5e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py
@@ -11,14 +11,13 @@ import json
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from . import utils as database_utils
 
 
 class DatabaseAddTestCase(BaseTestGenerator):
     """This class will test the ADD database API"""
-
     scenarios = [
         # Fetching default URL for database node.
         ('Check Databases Node URL', dict(url='/browser/database/obj/'))
@@ -30,7 +29,7 @@ class DatabaseAddTestCase(BaseTestGenerator):
     def runTest(self):
         """ This function will add database under 1st server of tree node. """
         self.db_name = ''
-        self.server_id = test_server_dict["server"][0]["server_id"]
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
         server_response = server_utils.connect_server(self, self.server_id)
         if server_response["info"] == "Server connected.":
             db_owner = server_response['data']['user']['name']
@@ -43,8 +42,9 @@ class DatabaseAddTestCase(BaseTestGenerator):
             self.assertEquals(response.status_code, 200)
             response_data = json.loads(response.data.decode('utf-8'))
             db_id = response_data['node']['_id']
-            db_dict = {"db_id": db_id, "db_name": self.db_name}
-            utils.write_node_info(int(self.server_id), "did", db_dict)
+            db_dict = {"server_id": self.server_id, "db_id": db_id,
+                       "db_name": self.db_name}
+            utils.write_node_info("did", db_dict)
         else:
             raise Exception("Error while connecting server to add the"
                             " database.")
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
index 98b4103..838711f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
@@ -10,7 +10,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 
 
@@ -24,16 +24,19 @@ class DatabaseDeleteTestCase(BaseTestGenerator):
     def setUp(self):
         self.db_name = "db_delete_%s" % str(uuid.uuid4())[1:4],
         self.db_id = utils.create_database(self.server, self.db_name)
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
+        db_dict = {"server_id": self.server_id, "db_id": self.db_id,
+                   "db_name": self.db_name}
+        utils.write_node_info("did", db_dict)
 
     def runTest(self):
         """ This function will delete the database."""
-        server_id = test_server_dict["server"][0]["server_id"]
-        server_response = server_utils.connect_server(self, server_id)
+        server_response = server_utils.connect_server(self, self.server_id)
         if server_response["data"]["connected"]:
             db_id = self.db_id
             response = self.tester.delete(
                 self.url + str(utils.SERVER_GROUP) + '/' +
-                str(server_id) + '/' + str(db_id),
+                str(self.server_id) + '/' + str(db_id),
                 follow_redirects=True)
             self.assertEquals(response.status_code, 200)
         else:
